<?php

namespace App\Models;

use App\Traits\Models\BaseModelTrait;

class OrientationDate extends BaseModel
{
    use BaseModelTrait;

    protected $fillable = [
        'orientation_id',
        'date',
    ];

    /* =========================================================================
    * Relationship
    * =========================================================================
    */

    public function orientation()
    {
        return $this->belongsTo(Orientation::class);
    }

    /* =========================================================================
    * Scope
    * =========================================================================
    */

    /* =========================================================================
    * Accessor & Mutator
    * =========================================================================
    */

    /* =========================================================================
    * Other
    * =========================================================================
    */
}
